Author Topic: Package libclamav-xs-perl is not available  (Read 862 times)

JPB

  • Zen Monk
  • **
  • Posts: 77
  • Karma: +1/-1
    • View Profile
Package libclamav-xs-perl is not available
« on: March 11, 2014, 10:40:11 am »
I run Zentyal Community Edition 3.3
Code: [Select]
root@chaos:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 12.04.4 LTS
Release:        12.04
Codename:       precise

My problem is to update the Anti-Virus, Please suggest a solution.  All else was updated via apt-get update and apt-get upgrade

Code: [Select]
root@chaos:~# apt-get install zentyal-antivirus
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 zentyal-antivirus : Depends: libclamav-xs-perl but it is not installable
E: Unable to correct problems, you have held broken packages.
root@chaos:~# ^C
root@chaos:~# apt-get install libclamav-xs-perl
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package libclamav-xs-perl is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libclamav-xs-perl' has no installation candidate

stc

  • Zen Apprentice
  • *
  • Posts: 22
  • Karma: +6/-0
    • View Profile
Re: Package libclamav-xs-perl is not available
« Reply #1 on: March 11, 2014, 03:26:13 pm »
I can confirm I am having the same thing. Today's update seemed to have killed our server, however after removing zentyal packages and re-installing via synaptic brought it back but no antivirus due to the above issue. Any suggestions?

buaya-kun

  • Zen Apprentice
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
Re: Package libclamav-xs-perl is not available
« Reply #2 on: March 19, 2014, 12:53:38 pm »

papajulio

  • Zentyal Staff
  • Zen Monk
  • *****
  • Posts: 64
  • Karma: +6/-0
    • View Profile
Re: Package libclamav-xs-perl is not available
« Reply #3 on: March 19, 2014, 05:01:57 pm »
The package had been copied correctly to the 3.3 repo, sorry for the inconvenience.
--
Julio José García Martín - QA Engineer